Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class ProvidersContentProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider<INPUT>
          org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider<ECPProviderRegistry>
              org.eclipse.emf.ecp.internal.ui.model.ProvidersContentProvider

All Implemented Interfaces:
  ECPObserver, ECPProvidersChangedObserver, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

    public class ProvidersContentProvider

extends TreeContentProvider<ECPProviderRegistry>
implements ECPProvidersChangedObserver

Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider
`TreeContentProvider.ErrorElement, TreeContentProvider.SlowElement, TreeContentProvider.SyntheticElement`

Constructor Summary
`ProvidersContentProvider()`
`ProvidersContentProvider(boolean excludesProvidersThatCannotAddRepositories)`

Method Summary
`boolean` | `excludesProvidersThatCannotAddRepositories()`
`void` | `providersChanged(Collection<ECPProvider> oldProviders, Collection<ECPProvider> newProviders)` This is called to indicate, that providers changed.

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider
`getChildren, getElements, getParent, getViewer, hasChildren, refresh, refreshViewer, update`

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider
`dispose, getInput, inputChanged, refreshViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`dispose, inputChanged`

Constructor Detail

### ProvidersContentProvider

    public ProvidersContentProvider()

### ProvidersContentProvider

    public ProvidersContentProvider(boolean excludesProvidersThatCannotAddRepositories)

Method Detail

### excludesProvidersThatCannotAddRepositories

    public final boolean excludesProvidersThatCannotAddRepositories()

### providersChanged

    public void providersChanged(Collection<ECPProvider> oldProviders,
                                 Collection<ECPProvider> newProviders)

  Description copied from interface: `ECPProvidersChangedObserver`
  This is called to indicate, that providers changed. Either a provider was added or removed.

  Specified by:
    `providersChanged` in interface `ECPProvidersChangedObserver`
  Parameters:
    `oldProviders` - provider before change
    `newProviders` - providers after change

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.